Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.appengine.api.taskqueue.dev
Class QueueStateInfo.TaskStateInfo

    java.lang.Object
      com.google.appengine.api.taskqueue.dev.QueueStateInfo.TaskStateInfo

Enclosing class:
  QueueStateInfo

    public static final class QueueStateInfo.TaskStateInfo

extends java.lang.Object

Description of task state information.

Constructor Summary
`QueueStateInfo.TaskStateInfo(java.lang.String taskName, long etaMillis, TaskQueueAddRequest addRequest, Clock clock)`

Method Summary
`java.lang.String` | `getBody()`
`byte[]` | `getBodyAsBytes()`
`java.util.Date` | `getEta()`
`double` | `getEtaDelta()`
`long` | `getEtaMillis()`
`java.util.List<QueueStateInfo.HeaderWrapper>` | `getHeaders()`
`java.lang.String` | `getMethod()`
`byte[]` | `getTagAsBytes()`
`java.lang.String` | `getTaskName()`
`java.lang.String` | `getUrl()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### QueueStateInfo.TaskStateInfo

    public QueueStateInfo.TaskStateInfo(java.lang.String taskName,
                                        long etaMillis,
                                        TaskQueueAddRequest addRequest,
                                        Clock clock)

Method Detail

### getTaskName

    public java.lang.String getTaskName()

### getEtaMillis

    public long getEtaMillis()

### getEta

    public java.util.Date getEta()

### getEtaDelta

    public double getEtaDelta()

### getMethod

    public java.lang.String getMethod()

### getUrl

    public java.lang.String getUrl()

### getBody

    public java.lang.String getBody()

### getBodyAsBytes

    public byte[] getBodyAsBytes()

### getHeaders

    public java.util.List<QueueStateInfo.HeaderWrapper> getHeaders()

### getTagAsBytes

    public byte[] getTagAsBytes()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD